Skip to main content
GET
/
api
/
v2
/
lead-labels
/
{id}
Get lead label
curl --request GET \
  --url https://api.instantly.ai/api/v2/lead-labels/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019d9c5f-9689-7a80-835a-ba07d3878ce7",
  "timestamp_created": "2026-04-17T16:56:43.401Z",
  "created_by": "019d9c5f-9689-7a80-835a-ba08b5c95c50",
  "organization_id": "019d9c5f-9689-7a80-835a-ba09fd3117c5",
  "label": "Hot Lead",
  "interest_status_label": "positive",
  "interest_status": 1,
  "description": "Used for marking high-priority leads",
  "use_with_ai": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019d9c5f-ccc9-7605-b08b-bdd1666691f5"

Response

The requested Lead Label

A custom label for categorizing and managing leads

id
string<uuid>
required

Unique identifier for the custom lead label

Example:

"019d9c5f-9689-7a80-835a-ba07d3878ce7"

timestamp_created
string<date-time>
required

Timestamp when the custom lead label was created

Example:

"2026-04-17T16:56:43.401Z"

created_by
string<uuid>
required

User ID of the creator of this label

Example:

"019d9c5f-9689-7a80-835a-ba08b5c95c50"

organization_id
string<uuid>
required

Organization ID that owns this custom lead label

Example:

"019d9c5f-9689-7a80-835a-ba09fd3117c5"

label
string
required

Display label for the custom lead label

Example:

"Hot Lead"

interest_status_label
enum<string>
required

Interest status label associated with this label

Available options:
positive,
negative,
neutral
Example:

"positive"

interest_status
number
required

Interest status associated with this label. This is generated automatically by us.

Example:

1

description
null | string

Detailed description of the custom lead label purpose

Example:

"Used for marking high-priority leads"

use_with_ai
null | boolean

Whether this label should be used with AI features

Example:

false